## libpoly-0.2.0-1.src.tar.gz

=== include/CMakeLists.txt ===
# Configure the version
configure_file(version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

# Find all the base headers and add them to install target
file(GLOB headers *.h)
install(FILES ${headers} DESTINATION include/poly)

# Find all the cxx headers and add them to install target
file(GLOB headers_cxx polyxx/*.h)
install(FILES ${headers_cxx} DESTINATION include/poly/polyxx)

=== python/CMakeLists.txt ===
set(polypy_SOURCES
    polypyAlgebraicNumber.c
    polypyAssignment.c
    polypyInteger.c
    polypyPolynomial.c
    polypy.c
    polypyUPolynomial.c
    utils.c
    polypyVariable.c
    polypyVariableOrder.c
    polypyValue.c
    polypyInterval.c
    polypyFeasibilitySet.c
)

find_package(PythonLibs)

include_directories(${GMP_INCLUDE_DIR})
include_directories(${libpoly_SOURCE_DIR}/include)
include_directories(${PYTHON_INCLUDE_PATH})

add_library(polypy MODULE ${polypy_SOURCES})
set_target_properties(polypy PROPERTIES PREFIX "")
if (APPLE)
  set_target_properties(polypy PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif()
target_link_libraries(polypy poly)

string (REPLACE ";" "', '" polypy_SOURCES_STR "${polypy_SOURCES}")
configure_file(setup.py.in ${CMAKE_CURRENT_SOURCE_DIR}/setup.py)

=== test/python/CMakeLists.txt ===
if(LIBPOLY_BUILD_PYTHON_API)
    add_custom_target(check
        COMMAND
            PYTHONPATH=${CMAKE_BINARY_DIR}/python ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/check.py
        DEPENDS
            polypy
        WORKING_DIRECTORY
            ${CMAKE_CURRENT_SOURCE_DIR}
    )
endif()

=== debian/changelog ===
libpoly0 (2.0-0ubuntu1) focal; urgency=medium

  * Libpoly 2.0 Release

 -- Ahmed Irfan <ahmed.irfan@sri.com>  Fri, 2 May 2025 18:46:30 +0000

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=libpoly
pkgver=0.2.0
pkgrel=1
pkgdesc='C library for manipulating polynomials'
arch=('x86_64')
url="https://github.com/SRI-CSL/libpoly"
license=('LGPL')
depends=('gmp')
makedepends=('cmake' 'ninja' 'python')
source=("https://github.com/SRI-CSL/libpoly/archive/v$pkgver/$pkgname-$pkgver.tar.gz")
sha512sums=('eaada4a9ce9c760beab4279b44584fd131ad5ba34dd86c71262f2afc6e718007f789601bd553aad5e38f44083a61a9d279e91fa57194eaa5a5ba79be6ce6734f')

build() {
  cd libpoly-$pkgver
  cmake -GNinja -DCMAKE_INSTALL_PREFIX=/usr .
  ninja
}

package() {
  cd libpoly-$pkgver
  DESTDIR="$pkgdir" ninja install
}

=== debian/control ===
Source: libpoly0
Section: libs
Priority: optional
Maintainer: Ahmed Irfan <ahmed.irfan@sri.com>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10), cmake, libgmp-dev, dh-exec
Homepage: https://github.com/SRI-CSL/libpoly

Package: libpoly0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: C library for manipulating multivariate polynomials
 Used by the SMT solver yices2.

Package: libpoly-dev
Section: libdevel
Architecture: any
Depends: libpoly0 (= ${binary:Version}), ${misc:Depends}, libgmp-dev
Description: C library for manipulating multivariate polynomials
 Used by the SMT solver yices2.
 .
 This package contains development headers for libpoly.


Package: libpoly-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libpoly0 (= ${binary:Version}), ${misc:Depends}
Provides: libpoly-dbg
Description: C library for manipulating multivariate polynomials
 Used by the SMT solver yices2.
 .
 This package contains the debugging symbols for libpoly.
